petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscDSGetSpatialDimension

Returns the spatial dimension of the DS, meaning the topological dimension of the discretizations

### Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSGetSpatialDimension(PetscDS prob, PetscInt *dim)

Not collective

### Input Parameter

prob -The PetscDS object

### Output Parameter

dim -The spatial dimension

### See Also

PetscDSGetCoordinateDimension(), PetscDSGetNumFields(), PetscDSCreate()

### Level

beginner

### Location

src/dm/dt/interface/dtds.c
Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages